<script setup lang="ts">
import { useHead } from '@unhead/vue'
import { computed } from 'vue'

import { useNowUser } from '@/stores/now-user.js'

useHead({
  title: '总览',
})

const NOWUSER = useNowUser()

const backgroundUrl = computed(() => `url("${NOWUSER.background_url}")`)
</script>

<template>
  <div class="overview"></div>
</template>

<style scoped>
div.overview {
  width: 100%;
  height: 300px;
  border-radius: 6px;
  background-color: #ddfbff;
  background-image: v-bind(backgroundUrl);
  background-size: cover;
  background-position: top;
  background-repeat: no-repeat;
}
</style>
